package com.xxrv.wallet.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.io.Serializable;
import java.util.List;

/**
 * 获取支付账号列表
 */

public class AccountNumberListBean extends BaseBean {

    private List<DataBean> data;
    private boolean rel;


    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public static class DataBean implements Serializable {
        private String id;//  ":6,
        private int userId;//":75,
        private String txAlipay;//":"2088212169302286",
        private int isDefault;//":0,
        private long crtTime;//":1571125067723,
        private int isDel;//":0,
        private String nickname;//":"PeakLin",
        private int type;//":1

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public int getUserId() {
            return userId;
        }

        public void setUserId(int userId) {
            this.userId = userId;
        }

        public String getTxAlipay() {
            return txAlipay;
        }

        public void setTxAlipay(String txAlipay) {
            this.txAlipay = txAlipay;
        }

        public int getIsDefault() {
            return isDefault;
        }

        public void setIsDefault(int isDefault) {
            this.isDefault = isDefault;
        }

        public long getCrtTime() {
            return crtTime;
        }

        public void setCrtTime(long crtTime) {
            this.crtTime = crtTime;
        }

        public int getIsDel() {
            return isDel;
        }

        public void setIsDel(int isDel) {
            this.isDel = isDel;
        }

        public String getNickname() {
            return nickname;
        }

        public void setNickname(String nickname) {
            this.nickname = nickname;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }
    }
}
